<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('hierarchy.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="inherits.html">Go to the graphical class hierarchy</a></p>
This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_client_manager.html" target="_self">erpc::ClientManager</a></td><td class="desc">Base client implementation </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_arbitrated_client_manager.html" target="_self">erpc::ArbitratedClientManager</a></td><td class="desc">Client that can share a transport with a server </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_codec.html" target="_self">erpc::Codec</a></td><td class="desc">Abstract serialization encoder/decoder interface </td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_basic_codec.html" target="_self">erpc::BasicCodec</a></td><td class="desc">Simple binary serialization format </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_codec_factory.html" target="_self">erpc::CodecFactory</a></td><td class="desc">Abstract interface for codec factory </td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_basic_codec_factory.html" target="_self">erpc::BasicCodecFactory</a></td><td class="desc">Basic codec factory implements functions from codec factory </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html" target="_self">erpc::MessageBuffer::Cursor</a></td><td class="desc"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html" title="Cursor within a MessageBuffer. ">Cursor</a> within a <a class="el" href="classerpc_1_1_message_buffer.html" title="Represents a memory buffer containing a message. ">MessageBuffer</a> </td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_mutex_1_1_guard.html" target="_self">erpc::Mutex::Guard</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_framed_transport.html#structerpc_1_1_framed_transport_1_1_header" target="_self">erpc::FramedTransport::Header</a></td><td class="desc">Contents of the header that prefixes each message </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_manually_constructed.html" target="_self">erpc::ManuallyConstructed&lt; T &gt;</a></td><td class="desc">Allocates static storage for an object </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_message_buffer.html" target="_self">erpc::MessageBuffer</a></td><td class="desc">Represents a memory buffer containing a message </td></tr>
<tr id="row_8_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_8_" class="arrow" onclick="toggleFolder('8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_message_buffer_factory.html" target="_self">erpc::MessageBufferFactory</a></td><td class="desc">Abstract interface for message buffer factory </td></tr>
<tr id="row_8_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_dynamic_message_buffer_factory.html" target="_self">DynamicMessageBufferFactory</a></td><td class="desc"></td></tr>
<tr id="row_8_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html" target="_self">RPMsgZCMessageBufferFactory</a></td><td class="desc">RPMsg zero copy message buffer factory </td></tr>
<tr id="row_8_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_static_message_buffer_factory.html" target="_self">StaticMessageBufferFactory</a></td><td class="desc">Static Message buffer factory </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_mutex.html" target="_self">erpc::Mutex</a></td><td class="desc"><a class="el" href="classerpc_1_1_mutex.html" title="Mutex. ">Mutex</a> </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structerpc_1_1_transport_arbitrator_1_1_pending_client_info.html" target="_self">erpc::TransportArbitrator::PendingClientInfo</a></td><td class="desc">Request info for a client trying to receive a response </td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_request_context.html" target="_self">erpc::RequestContext</a></td><td class="desc">Encapsulates all information about a request </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_semaphore.html" target="_self">erpc::Semaphore</a></td><td class="desc">Simple semaphore class </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_13_" class="arrow" onclick="toggleFolder('13_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_server.html" target="_self">erpc::Server</a></td><td class="desc">Based server functionality </td></tr>
<tr id="row_13_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_simple_server.html" target="_self">erpc::SimpleServer</a></td><td class="desc">Based server implementation </td></tr>
<tr id="row_14_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_service.html" target="_self">erpc::Service</a></td><td class="desc">Abstract interface for service, which can be executed on server side </td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_inter_thread_buffer_transport.html#structerpc_1_1_inter_thread_buffer_transport_1_1_shared_state" target="_self">erpc::InterThreadBufferTransport::SharedState</a></td><td class="desc"></td></tr>
<tr id="row_16_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_static_queue.html" target="_self">erpc::StaticQueue&lt; T, elementCount &gt;</a></td><td class="desc">Template class which implements static queue as ring buffer </td></tr>
<tr id="row_17_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_static_queue.html" target="_self">erpc::StaticQueue&lt; erpc::MessageBuffer, ERPC_DEFAULT_BUFFERS_COUNT &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_thread.html" target="_self">erpc::Thread</a></td><td class="desc">Simple thread class </td></tr>
<tr id="row_19_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_19_" class="arrow" onclick="toggleFolder('19_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_transport.html" target="_self">erpc::Transport</a></td><td class="desc">Abstract interface for transport layer </td></tr>
<tr id="row_19_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_19_0_" class="arrow" onclick="toggleFolder('19_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_framed_transport.html" target="_self">erpc::FramedTransport</a></td><td class="desc">Base class for framed transport layers </td></tr>
<tr id="row_19_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_dspi_master_transport.html" target="_self">erpc::DspiMasterTransport</a></td><td class="desc">Very basic transport to send/receive messages via DSPI </td></tr>
<tr id="row_19_0_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_dspi_slave_transport.html" target="_self">erpc::DspiSlaveTransport</a></td><td class="desc">Very basic transport to send/receive messages via DSPI </td></tr>
<tr id="row_19_0_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_serial_transport.html" target="_self">erpc::SerialTransport</a></td><td class="desc">Serial transport layer for host PC </td></tr>
<tr id="row_19_0_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_spi_master_transport.html" target="_self">erpc::SpiMasterTransport</a></td><td class="desc">Very basic transport to send/receive messages via SPI </td></tr>
<tr id="row_19_0_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_spi_slave_transport.html" target="_self">erpc::SpiSlaveTransport</a></td><td class="desc">Very basic transport to send/receive messages via SPI </td></tr>
<tr id="row_19_0_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_t_c_p_transport.html" target="_self">erpc::TCPTransport</a></td><td class="desc">Client side of TCP/IP transport </td></tr>
<tr id="row_19_0_6_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_uart_transport.html" target="_self">erpc::UartTransport</a></td><td class="desc">Very basic transport to send/receive messages via UART </td></tr>
<tr id="row_19_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_inter_thread_buffer_transport.html" target="_self">erpc::InterThreadBufferTransport</a></td><td class="desc">Very basic transport to send/receive messages between threads </td></tr>
<tr id="row_19_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_19_2_" class="arrow" onclick="toggleFolder('19_2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html" target="_self">erpc::RPMsgZCBaseTransport</a></td><td class="desc"><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> that other RPMsg transports inherts </td></tr>
<tr id="row_19_2_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html" target="_self">erpc::RPMsgZCRTOSTransport</a></td><td class="desc"><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> that uses RPMsg zero copy RTOS API for interprocessor messaging </td></tr>
<tr id="row_19_2_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html" target="_self">erpc::RPMsgZCTransport</a></td><td class="desc"><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> that uses RPMsg zero copy API for interprocessor messaging </td></tr>
<tr id="row_19_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_transport_arbitrator.html" target="_self">erpc::TransportArbitrator</a></td><td class="desc">Interposer to share transport between client and server </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpc_1_1_transport_factory.html" target="_self">erpc::TransportFactory</a></td><td class="desc">Abstract interface for transport factory </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
